# Class TarEntry

java.lang.Object
com.codename1.io.tar.TarEntry

public class TarEntry extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `file`
  `protected TarHeader`
  `header`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TarEntry(byte[] headerBuf)`
  `TarEntry(String file, String entryName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `computeCheckSum(byte[] buf)`
  Calculate checksum
  `boolean`
  `equals(TarEntry it)`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `extractTarHeader(String entryName)`
  Extract header from File
  `String`
  `getFile()`
  `int`
  `getGroupId()`
  `String`
  `getGroupName()`
  `TarHeader`
  `getHeader()`
  `Date`
  `getModTime()`
  `String`
  `getName()`
  `long`
  `getSize()`
  `int`
  `getUserId()`
  `String`
  `getUserName()`
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `boolean`
  `isDescendent(TarEntry desc)`
  `boolean`
  `isDirectory()`
  Checks if the org.xeustechnologies.jtar entry is a directory
  `void`
  `parseTarHeader(byte[] bh)`
  Parses the tar header to the byte buffer
  `void`
  `setGroupId(int groupId)`
  `void`
  `setGroupName(String groupName)`
  `void`
  `setIds(int userId, int groupId)`
  `void`
  `setModTime(long time)`
  `void`
  `setModTime(Date time)`
  `void`
  `setName(String name)`
  `void`
  `setSize(long size)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserName(String userName)`
  `void`
  `writeEntryHeader(byte[] outbuf)`
  Writes the header to the byte buffer

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### file

    protected String file

  - ### header

    protected TarHeader header

- ## Constructor Details

  - ### TarEntry

    public TarEntry(String file, String entryName)

  - ### TarEntry

    public TarEntry(byte[] headerBuf)

- ## Method Details

  - ### equals

    public boolean equals(TarEntry it)

  - ### equals

    public boolean equals(Object obj)
    Description copied from class: `Object`
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Description copied from class: `Object`
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Object`

  - ### isDescendent

    public boolean isDescendent(TarEntry desc)

  - ### getHeader

    public TarHeader getHeader()

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getGroupId

    public int getGroupId()

  - ### setGroupId

    public void setGroupId(int groupId)

  - ### getUserName

    public String getUserName()

  - ### setUserName

    public void setUserName(String userName)

  - ### getGroupName

    public String getGroupName()

  - ### setGroupName

    public void setGroupName(String groupName)

  - ### setIds

    public void setIds(int userId, int groupId)

  - ### getModTime

    public Date getModTime()

  - ### setModTime

    public void setModTime(long time)

  - ### setModTime

    public void setModTime(Date time)

  - ### getFile

    public String getFile()

  - ### getSize

    public long getSize()

  - ### setSize

    public void setSize(long size)

  - ### isDirectory

    public boolean isDirectory()
    Checks if the org.xeustechnologies.jtar entry is a directory

  - ### extractTarHeader

    public void extractTarHeader(String entryName)

    Extract header from File

    ###### Parameters

    - `entryName`

  - ### computeCheckSum

    public long computeCheckSum(byte[] buf)

    Calculate checksum

    ###### Parameters

    - `buf`

  - ### writeEntryHeader

    public void writeEntryHeader(byte[] outbuf)

    Writes the header to the byte buffer

    ###### Parameters

    - `outbuf`

  - ### parseTarHeader

    public void parseTarHeader(byte[] bh)

    Parses the tar header to the byte buffer

    ###### Parameters

    - `header`

    - `bh`